Show / Hide Table of Contents

# Class OpenIddictValidationSystemNetHttpHelpers

Exposes companion extensions for the OpenIddict/System.Net.Http integration.

##### Inheritance

System.Object
OpenIddictValidationSystemNetHttpHelpers

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: System.Net.Http

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictValidationSystemNetHttpHelpers

### Methods

#### GetHttpRequestMessage(OpenIddictValidationTransaction)

Gets the associated with the current context.

##### Declaration

    public static HttpRequestMessage? GetHttpRequestMessage(this OpenIddictValidationTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationTransaction | transaction | The transaction instance.

##### Returns

Type | Description
--- | ---
System.Nullable<HttpRequestMessage> | The instance or `null` if it couldn't be found.

#### GetHttpResponseMessage(OpenIddictValidationTransaction)

Gets the associated with the current context.

##### Declaration

    public static HttpResponseMessage? GetHttpResponseMessage(this OpenIddictValidationTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationTransaction | transaction | The transaction instance.

##### Returns

Type | Description
--- | ---
System.Nullable<HttpResponseMessage> | The instance or `null` if it couldn't be found.